classification
Title: Tests for Lib/xml/dom/minicompat.py
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: John.Chandler, ezio.melotti, pconnell, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-08-23 03:54 by John.Chandler, last changed 2013-04-10 16:36 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
minicompat_tests.patch John.Chandler, 2011-08-23 03:54 review
minicompat_tests_markedup.diff pconnell, 2013-04-06 21:17 review
Messages (7)
msg142779 - (view) Author: John Chandler (John.Chandler) Date: 2011-08-23 03:54
The Lib/xml/dom/minicompat.py module doesn't appear to have any test coverage, probably because it's not the largest or most exciting of modules! :-) I therefore attach a patch to add test coverage for the EmptyNodeList and NodeList classes. I can add tests for the defproperty function if this patch proves acceptable.

The patch adds a new file (Lib/test/test_xml_dom_minicompat.py) and modifies one line of an existing file (Lib/test/xmltests.py)

I've used Python 3.3.0a0, courtesy of Brett's devinabox, but should be back-portable to older versions of Python.
msg142861 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-23 20:09
Hi, I just left a very light review on rietveld (the 'review' link below). I think in the next run you can add the tests for defproperty. Thanks for working on code coverage!
msg143007 - (view) Author: John Chandler (John.Chandler) Date: 2011-08-26 11:44
Cool, thanks for the feedback! :-)

I'll make the appropriate changes to the tests and add some coverage for defproperty as soon as I can.

John
msg144078 - (view) Author: John Chandler (John.Chandler) Date: 2011-09-15 12:28
Just to let you know I haven't forgotten this! I've been pretty busy recently so might be a while before I implement the changes to the patch suggested in the code review.

John
msg186167 - (view) Author: Phil Connell (pconnell) * Date: 2013-04-06 21:17
I happened to spot this issue languishing, and the markups looked pretty straightforward, so I just went ahead and did them.

Updated patch attached.
msg186516 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-10 16:35
New changeset 172f825d7fc9 by Ezio Melotti in branch '3.3':
#12820: add tests for the xml.dom.minicompat module.  Patch by John Chandler and Phil Connell.
http://hg.python.org/cpython/rev/172f825d7fc9

New changeset f675083b2894 by Ezio Melotti in branch 'default':
#12820: merge with 3.3.
http://hg.python.org/cpython/rev/f675083b2894
msg186517 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-10 16:36
Fixed, thanks for the patches!
History
Date User Action Args
2013-04-10 16:36:40ezio.melottisetstatus: open -> closed

assignee: ezio.melotti
versions: + Python 3.4
messages: + msg186517
type: behavior -> enhancement
resolution: fixed
stage: patch review -> resolved
2013-04-10 16:35:43python-devsetnosy: + python-dev
messages: + msg186516
2013-04-06 21:17:30pconnellsetfiles: + minicompat_tests_markedup.diff
nosy: + pconnell
messages: + msg186167

2011-09-15 12:28:07John.Chandlersetmessages: + msg144078
2011-08-26 11:44:04John.Chandlersetmessages: + msg143007
2011-08-23 20:09:34sandro.tosisetnosy: + ezio.melotti, sandro.tosi

messages: + msg142861
stage: patch review
2011-08-23 03:54:18John.Chandlercreate